Skip to main content
GET
/
feedback
/
admin
List product feedback for admin triage
curl --request GET \
  --url https://api.leadping.ai/feedback/admin
{
  "items": [
    {
      "id": "<string>",
      "businessId": "<string>",
      "userId": "<string>",
      "area": "<string>",
      "route": "<string>",
      "message": "<string>",
      "allowContact": true,
      "userAgent": "<string>",
      "clientVersion": "<string>",
      "serverVersion": "<string>",
      "environment": "<string>",
      "subscriptionPlanSnapshot": "<string>",
      "businessNameSnapshot": "<string>",
      "userEmailSnapshot": "<string>",
      "userDisplayNameSnapshot": "<string>",
      "adminNote": "<string>",
      "externalIssueUrl": "<string>",
      "duplicateOfFeedbackItemId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "reviewedAt": "2023-11-07T05:31:56Z",
      "closedAt": "2023-11-07T05:31:56Z",
      "reviewedByUserId": "<string>",
      "closedByUserId": "<string>"
    }
  ],
  "pageSize": "<string>",
  "totalCount": "<string>",
  "continuationToken": "<string>"
}

Query Parameters

Status
string
Type
string
BusinessId
string
Area
string
CreatedStart
string<date-time>
CreatedEnd
string<date-time>
PageSize
string<int32>
Pattern: ^-?(?:0|[1-9]\d*)$
ContinuationToken
string

Response

200 - application/json

OK

A generic container for paginated results returned to the client.

items
object[]

The subset of items returned for the current page.

pageSize
string<int32>

The number of items returned per page in the response. This may reflect the client's requested page size, or a server-defined default or limit.

Pattern: ^-?(?:0|[1-9]\d*)$
totalCount
string<int32> | null

The total number of items that match the query across all pages. May be null if the count is not computed or not applicable (e.g., in continuation-based pagination).

Pattern: ^-?(?:0|[1-9]\d*)$
continuationToken
string | null

Opaque storage continuation token. ‑ null → the current page was the last page.